## skipfish 1.29b

=== debian/changelog ===
skipfish (1.29b-1kuliax1) lumpia; urgency=low

  * Rebuild against lenny, for Kuliax

 -- Iwan Setiawan <stwn@kuliax.org>  Fri, 09 Apr 2010 16:00:08 +0700

skipfish (1.29b-1) unstable; urgency=low

  * New upstream release.
  * Removed manpage since it's now included by upstream.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 05 Apr 2010 18:43:06 +0200

skipfish (1.26b-1) unstable; urgency=low

  * New upstream release. 
  * Skip most dh_* scripts.
  * Includes manpage courtesy of Thorsten Schifferdecker (Closes: #575596)

 -- Bartosz Fenski <fenio@debian.org>  Sat, 27 Mar 2010 10:34:13 +0100

skipfish (1.19b-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 24 Mar 2010 08:45:16 +0100

skipfish (1.13b-1) unstable; urgency=low

  * Initial release (Closes: #574756) 

 -- Bartosz Fenski <fenio@debian.org>  Tue, 22 Mar 2010 18:41:42 +0100

## skipfish 1.32b

=== Makefile ===
#
# skipfish - Makefile
# -------------------
#
# Author: Michal Zalewski <lcamtuf@google.com>
#
# Copyright 2009, 2010 by Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

PROGNAME   = skipfish

OBJFILES   = http_client.c database.c crawler.c analysis.c report.c
INCFILES   = alloc-inl.h string-inl.h debug.h types.h http_client.h \
             database.h crawler.h analysis.h config.h report.h

CFLAGS_GEN = -Wall -funsigned-char -g -ggdb -I/usr/local/include/ \
             -I/opt/local/include/ $(CFLAGS) -D_FORTIFY_SOURCE=0
CFLAGS_DBG = -DLOG_STDERR=1 -DDEBUG_ALLOCATOR=1 $(CFLAGS_GEN) 
CFLAGS_OPT = -O3 -Wno-format $(CFLAGS_GEN)

LDFLAGS   += -L/usr/local/lib/ -L/opt/local/lib
LIBS      += -lcrypto -lssl -lidn -lz

all: $(PROGNAME)

$(PROGNAME): $(PROGNAME).c $(OBJFILES) $(INCFILES)
	$(CC) $(LDFLAGS) $(PROGNAME).c -o $(PROGNAME) $(CFLAGS_OPT) \
	      $(OBJFILES) $(LIBS)
	@echo
	@echo "See dictionaries/README-FIRST to pick a dictionary for the tool."
	@echo
	@echo "Having problems with your scans? Be sure to visit:"
	@echo "http://code.google.com/p/skipfish/wiki/KnownIssues"
	@echo

debug: $(PROGNAME).c $(OBJFILES) $(INCFILES)
	$(CC) $(LDFLAGS) $(PROGNAME).c -o $(PROGNAME) $(CFLAGS_DBG) \
	      $(OBJFILES) $(LIBS)

clean:
	rm -f $(PROGNAME) *.exe *.o *~ a.out core core.[1-9][0-9]* *.stackdump \
	      LOG same_test
	rm -rf tmpdir

same_test: same_test.c $(OBJFILES) $(INCFILES)
	$(CC) same_test.c -o same_test $(CFLAGS_DBG) $(OBJFILES) $(LDFLAGS)

publish: clean
	cd ..; tar cfvz ~/www/skipfish.tgz skipfish
	chmod 644 ~/www/skipfish.tgz

=== debian/changelog ===
skipfish (1.32b-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 20 Apr 2010 19:49:33 +0200

=== debian/control ===
Source: skipfish
Section: web
Priority: extra
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev, zlib1g-dev, libidn11-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/skipfish/

Package: skipfish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fully automated, active web application security reconnaissance tool
 Skipfish is an active web application security reconnaissance tool. It prepares 
 an interactive sitemap for the targeted site by carrying out a recursive crawl 
 and dictionary-based probes. The resulting map is then annotated with the 
 output from a number of active (but hopefully non-disruptive) security checks. 
 The final report generated by the tool is meant to serve as a foundation for 
 professional web application security assessments.

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://code.google.com/p/skipfish/downloads/list http://skipfish.googlecode.com/files/skipfish-(.*).tar.gz

## skipfish 1.85b

=== Makefile ===
--- 
+++ 
@@ -20,13 +20,14 @@
 #
 
 PROGNAME   = skipfish
+VERSION    = 1.85b
 
 OBJFILES   = http_client.c database.c crawler.c analysis.c report.c
 INCFILES   = alloc-inl.h string-inl.h debug.h types.h http_client.h \
              database.h crawler.h analysis.h config.h report.h
 
 CFLAGS_GEN = -Wall -funsigned-char -g -ggdb -I/usr/local/include/ \
-             -I/opt/local/include/ $(CFLAGS) -D_FORTIFY_SOURCE=0
+             -I/opt/local/include/ $(CFLAGS) -DVERSION=\"$(VERSION)\"
 CFLAGS_DBG = -DLOG_STDERR=1 -DDEBUG_ALLOCATOR=1 $(CFLAGS_GEN) 
 CFLAGS_OPT = -O3 -Wno-format $(CFLAGS_GEN)
 
@@ -55,8 +56,10 @@
 	rm -rf tmpdir
 
 same_test: same_test.c $(OBJFILES) $(INCFILES)
-	$(CC) same_test.c -o same_test $(CFLAGS_DBG) $(OBJFILES) $(LDFLAGS)
+	$(CC) same_test.c -o same_test $(CFLAGS_DBG) $(OBJFILES) $(LDFLAGS) \
+	      $(LIBS)
 
 publish: clean
-	cd ..; tar cfvz ~/www/skipfish.tgz skipfish
+	cd ..; rm -rf skipfish-$(VERSION); cp -pr skipfish skipfish-$(VERSION); \
+	  tar cfvz ~/www/skipfish.tgz skipfish-$(VERSION)
 	chmod 644 ~/www/skipfish.tgz

=== debian/changelog ===
skipfish (1.85b-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:51:50 +0100

skipfish (1.85b-1) unstable; urgency=low

  * New upstream version.
  * Fixed watchfile.
  * Bump Standards-Version (no changes needed).
  * Fixed copyright file to make lintian happy about BSD license.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 29 Mar 2011 17:52:17 +0200

## skipfish 2.02b

=== debian/changelog ===
skipfish (2.02b-1) unstable; urgency=low

  * New upstream version. 

 -- Bartosz Fenski <fenio@debian.org>  Wed, 03 Aug 2011 15:07:13 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_install:
	dh_install -XCOPYING

# don't run them
override_dh_perl override_dh_icons override_dh_gconf override_dh_installxfonts \
override_dh_installwm override_dh_installudev override_dh_installppp \
override_dh_installpam override_dh_installlogrotate override_dh_installlogcheck \
override_dh_installmodules override_dh_installmime override_dh_installmenu \
override_dh_installinit override_dh_installinfo override_dh_installifupdown \
override_dh_installemacsen override_dh_installdebconf override_dh_installcron \
override_dh_installcatalogs:

## skipfish 2.05b

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 # Author: Michal Zalewski <lcamtuf@google.com>
 #
-# Copyright 2009, 2010 by Google Inc. All Rights Reserved.
+# Copyright 2009, 2010, 2011 by Google Inc. All Rights Reserved.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -20,7 +20,7 @@
 #
 
 PROGNAME   = skipfish
-VERSION    = 1.85b
+VERSION    = 2.05b
 
 OBJFILES   = http_client.c database.c crawler.c analysis.c report.c
 INCFILES   = alloc-inl.h string-inl.h debug.h types.h http_client.h \
@@ -28,7 +28,7 @@
 
 CFLAGS_GEN = -Wall -funsigned-char -g -ggdb -I/usr/local/include/ \
              -I/opt/local/include/ $(CFLAGS) -DVERSION=\"$(VERSION)\"
-CFLAGS_DBG = -DLOG_STDERR=1 -DDEBUG_ALLOCATOR=1 $(CFLAGS_GEN) 
+CFLAGS_DBG = -DLOG_STDERR=1 -DDEBUG_ALLOCATOR=1 $(CFLAGS_GEN)
 CFLAGS_OPT = -O3 -Wno-format $(CFLAGS_GEN)
 
 LDFLAGS   += -L/usr/local/lib/ -L/opt/local/lib

=== debian/changelog ===
skipfish (2.05b-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 15 Mar 2012 10:18:34 +0100

skipfish (2.03b-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 15 Feb 2012 14:23:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libssl-dev, zlib1g-dev, libidn11-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/skipfish/
 
 Package: skipfish

## skipfish 2.10b

=== Makefile ===
#
# skipfish - Makefile
# -------------------
#
# Author: Michal Zalewski <lcamtuf@google.com>,
#         Niels Heinen <heinenn@google.com>
#
# Copyright 2009, 2010, 2011 by Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

PROGNAME   = skipfish
VERSION    = 2.10b

SRCDIR     = src
SFILES     = http_client.c database.c crawler.c analysis.c report.c \
             checks.c signatures.c auth.c options.c
IFILES     = alloc-inl.h string-inl.h debug.h types.h http_client.h \
             database.h crawler.h analysis.h config.h report.h \
             checks.h signatures.h auth.h options.h

OBJFILES   = $(patsubst %,$(SRCDIR)/%,$(SFILES))
INCFILES   = $(patsubst %,$(SRCDIR)/%,$(IFILES))

CFLAGS_GEN = -Wall -funsigned-char -g -ggdb -I/usr/local/include/ \
             -I/opt/local/include/ $(CFLAGS) -DVERSION=\"$(VERSION)\"
CFLAGS_DBG = -DLOG_STDERR=1 -DDEBUG_ALLOCATOR=1 \
             $(CFLAGS_GEN)
CFLAGS_OPT =  -O3 -Wno-format $(CFLAGS_GEN)

LDFLAGS   += -L/usr/local/lib/ -L/opt/local/lib
LIBS      += -lcrypto -lssl -lidn -lz -lpcre

all: $(PROGNAME)

$(PROGNAME): $(SRCDIR)/$(PROGNAME).c $(OBJFILES) $(INCFILES)
	$(CC) $(LDFLAGS) $(SRCDIR)/$(PROGNAME).c -o $(PROGNAME) \
        $(CFLAGS_OPT) $(OBJFILES) $(LIBS)
	@echo
	@echo "See doc/dictionaries.txt to pick a dictionary for the tool."
	@echo
	@echo "Having problems with your scans? Be sure to visit:"
	@echo "http://code.google.com/p/skipfish/wiki/KnownIssues"
	@echo

debug: $(SRCDIR)/$(PROGNAME).c $(OBJFILES) $(INCFILES)
	$(CC) $(LDFLAGS) $(SRCDIR)/$(PROGNAME).c -o $(PROGNAME) \
        $(CFLAGS_DBG) $(OBJFILES) $(LIBS)
	@echo
	@echo "The debug build prints runtime information to stderr. You"
	@echo "probably want to redirect this output to a file. like:"
	@echo
	@echo " $ ./skipfish [.option.] 2> debug.log"
	@echo

clean:
	rm -f $(PROGNAME) *.exe *.o *~ a.out core core.[1-9][0-9]* *.stackdump \
	      LOG same_test
	rm -rf tmpdir

same_test: $(SRCDIR)/same_test.c $(OBJFILES) $(INCFILES)
	$(CC) $(SRCDIR)/same_test.c -o same_test $(CFLAGS_DBG) $(OBJFILES) $(LDFLAGS) \
	      $(LIBS)

publish: clean
	cd ..; rm -rf skipfish-$(VERSION); \
	cp -pr skipfish-release skipfish-$(VERSION); \
	tar cfvz ~/www/skipfish.tgz skipfish-$(VERSION); \
	chmod 644 ~/www/skipfish.tgz

=== debian/changelog ===
skipfish (2.10b-2kali8) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Add superficial tests
  * Update d/watch to v5
  * Drop Rules-Requires-Root

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 11 Dec 2025 11:28:17 +0700

skipfish (2.10b-2kali7) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Update d/watch to point out that the package is no longer updated
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 12 Jan 2023 15:32:59 -0600

skipfish (2.10b-2kali6) kali-dev; urgency=medium

  * Re-add the XS-Debian-Vcs fields

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 12 Dec 2022 15:39:03 +0700

skipfish (2.10b-2kali5) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields

  [ Sophie Brun ]
  * Bump Standards-Version to 4.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Jun 2022 15:39:27 +0200

skipfish (2.10b-2kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.13b-1.
  * Drop fields with obsolete URLs.

  [ Arnaud Rebillout ]
  * Configure gbp import-dsc for a Debian-derived package
  * Bump build-dep, libidn11-dev to libidn-dev

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 06 Sep 2021 16:30:09 +0700

skipfish (2.10b-2kali3) kali-dev; urgency=medium

  [ Igor Bezzubchenko ]
  * fixing broken ciphersuite evaluation for newer OpenSSLs

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Jan 2021 11:11:58 +0100

skipfish (2.10b-2kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Ben Wilson ]
  * Consistency with install file

  [ Sophie Brun ]
  * Refresh patch
  * Add a patch to build with openssl 1.1
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1
  * Update debian/watch to version 4
  * Fix short name BSD in debian/copyright
  * Fix small syntax issues in manpage

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Jan 2021 14:58:25 +0100

skipfish (2.10b-2kali1) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 16:16:21 -0500

skipfish (2.10b-2kali0) kali; urgency=low

  * Kali import

 -- Mati Aharoni <muts@kali.org>  Sat, 10 Aug 2013 18:11:12 -0400

skipfish (2.10b-1) unstable; urgency=low

  * The Akamai Technologies paid volunteer days release.
  * New upstream version.
  * Bumped Standards-Version (no changes needed).
  * Various path fixes because of upstream changes.
  * Added new libpcre3-dev build dependency.
  * Totally rewritten copyright file to comply with new copyright standard.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 20 Dec 2012 14:59:36 +0100

=== debian/control ===
Source: skipfish
Section: web
Priority: optional
XSBC-Original-Maintainer: Bartosz Fenski <fenio@debian.org>
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Mati Aharoni <muts@kali.org>,
 Sophie Brun <sophie@offensive-security.com>,
 Arnaud Rebillout <arnaudr@kali.org>,
Build-Depends:
 debhelper-compat (= 13),
 libidn-dev,
 libpcre3-dev,
 libssl-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
XS-Debian-Vcs-Git: n/a
XS-Debian-Vcs-Browser: n/a
Vcs-Browser: https://gitlab.com/kalilinux/packages/skipfish
Vcs-Git: https://gitlab.com/kalilinux/packages/skipfish.git

Package: skipfish
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: fully automated, active web application security reconnaissance tool
 Skipfish is an active web application security reconnaissance tool. It prepares
 an interactive sitemap for the targeted site by carrying out a recursive crawl
 and dictionary-based probes. The resulting map is then annotated with the
 output from a number of active (but hopefully non-disruptive) security checks.
 The final report generated by the tool is meant to serve as a foundation for
 professional web application security assessments.

=== debian/tests/control ===
Test-Command: clitest debian/tests/skipfish-usage.txt
Depends: @, clitest
Restrictions: superficial

=== debian/watch ===
Version: 5
Untrackable: Upstream site doesn't allow tracking release, no more releases anyway

# Upstream releases are available at:
# https://code.google.com/p/skipfish/downloads/list
#
# However, code.google.com requires javascript to view downloads lists.
# In any case, Skipfish hasn't seen any updates since 2012.
